<h1 class="card-title">Clientes (Clients)</h1><br>
<h3 class="card-title">Swagger: <a href="http://localhost:8080/swagger-ui.html#/ClientDocumentation" alt="Link de acesso ao swagger da POC, considerando demonstração em ambiente local." target="_blank">clique aqui!</a></h3><br>

<div class="mx-auto mt-5 card col-md" style="width: 35rem;">
    <div class="card-body">
        <h5 class="card-title">Cadastrar Cliente</h5>
        <h6 class="card-subtitle mb-3 text-muted">Preencha os dados abaixo</h6>

        <form (submit)="clientService.createClient($event)">
            <div class="form-group">
              <label for="name">Nome</label>
              <input name="name" [(ngModel)]="clientService.client.name" type="name" id="name" class="form-control form-control-sm" placeholder="Informe o nome do cliente" />
            </div>
            <div class="form-group">
                <label for="document">Document</label>
                <input name="document" [(ngModel)]="clientService.client.document" type="number" id="document" class="form-control form-control-sm" placeholder="Informe o número do documento (apenas números)" />
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input name="email" [(ngModel)]="clientService.client.email" type="email" id="email" class="form-control form-control-sm" placeholder="Informe o e-mail de contato com o cliente" />
            </div>
            <div class="form-group">
              <label for="address">Endereço</label>
              <input name="address" [(ngModel)]="clientService.client.address" type="address" id="address" class="form-control form-control-sm" placeholder="Informe o endereço de contato com o cliente" />
          </div>

          <button type="submit" class="btn btn-primary btn-sm">Salvar</button>

        </form>
    </div>
</div>

<hr>
<div class="mx-auto mt-5 card col-md" style="width: 35rem;">
  <div class="card-body">
      <h5 class="card-title">Buscar Clientes</h5>
      <h6 class="card-subtitle mb-3 text-muted">Preencha os dados abaixo</h6>

      <form (submit)="clientService.getClientsByName($event)">
          <div class="form-group">
              <label for="name">Nome</label>
              <input name="name" [(ngModel)]="clientService.clientSearch.name" type="string" id="name" class="form-control form-control-sm" placeholder="Informe o nome do cliente desejado de busca" required/>
          </div>
          <button type="submit" class="btn btn-primary btn-sm">Buscar</button>
      </form>
  </div>
</div><br />
<table class="table">
  <thead>
    <tr>
      <th scope="col">Nome</th>
      <th scope="col">Documento</th>
      <th scope="col">E-mail</th>
      <th scope="col">Endereço</th>
    </tr>
  </thead>
  <tbody *ngFor="let client of clientService.clients; let i = index">
    <tr>
      <td>{{client.name}}</td>
      <td>{{client.document}}</td>
      <td>{{client.email}}</td>
      <td>{{client.address}}</td>
    </tr>
  </tbody>
</table>
